package com.lantone.qc.kernel.catalogue.firstcourserecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : FIRC02998
 * @Description : 首程无A审核签名
 * @Author : rengb
 * @Date: 2020-06-16 17:36
 */
@Component
public class FIRC02998 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        if (inputInfo.getFirstCourseRecordDoc() == null) {
            return;
        }
        Map<String, String> firstCourseRecordStructureMap = inputInfo.getFirstCourseRecordDoc().getStructureMap();
        String docName = firstCourseRecordStructureMap.get("审核人");
        if (!docName.endsWith("A")) {
            status.set("-1");
        }
    }

}